#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './dvdprogress.ui'
**
** Created: dim. oct. 26 08:55:59 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dvdprogress.h"

#include <tqvariant.h>
#include <tqpushbutton.h>
#include <tqlabel.h>
#include <tqprogressbar.h>
#include <tqlayout.h>
#include <tqtooltip.h>
#include <tqwhatsthis.h>

/*
 *  Constructs a DVDProgress as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DVDProgress::DVDProgress( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DVDProgress" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 150 ) );
    setMaximumSize( TQSize( 400, 150 ) );
    setCursor( TQCursor( 3 ) );
    DVDProgressLayout = new TQGridLayout( this, 1, 1, 11, 6, "DVDProgressLayout"); 

    tqlayout2 = new TQVBoxLayout( 0, 0, 6, "tqlayout2"); 

    lblTotal = new TQLabel( this, "lblTotal" );
    lblTotal->setCursor( TQCursor( 3 ) );
    tqlayout2->addWidget( lblTotal );

    pbTotal = new TQProgressBar( this, "pbTotal" );
    pbTotal->setCursor( TQCursor( 3 ) );
    pbTotal->setProgress( 100 );
    pbTotal->setPercentageVisible( FALSE );
    tqlayout2->addWidget( pbTotal );

    DVDProgressLayout->addLayout( tqlayout2, 1, 0 );

    tqlayout1 = new TQVBoxLayout( 0, 0, 6, "tqlayout1"); 

    lblTitle = new TQLabel( this, "lblTitle" );
    lblTitle->setCursor( TQCursor( 3 ) );
    tqlayout1->addWidget( lblTitle );

    pbTitle = new TQProgressBar( this, "pbTitle" );
    pbTitle->setCursor( TQCursor( 3 ) );
    pbTitle->setTotalSteps( 100 );
    pbTitle->setProgress( 100 );
    pbTitle->setCenterIndicator( TRUE );
    pbTitle->setPercentageVisible( FALSE );
    tqlayout1->addWidget( pbTitle );

    DVDProgressLayout->addLayout( tqlayout1, 0, 0 );

    lblStatus = new TQLabel( this, "lblStatus" );
    lblStatus->setCursor( TQCursor( 3 ) );

    DVDProgressLayout->addWidget( lblStatus, 2, 0 );
    languageChange();
    resize( TQSize(278, 150).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DVDProgress::~DVDProgress()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DVDProgress::languageChange()
{
    setCaption( tr2i18n( "k9Copy - DVD Analyze" ) );
    lblTotal->setText( TQString() );
    lblTitle->setText( TQString() );
    lblStatus->setText( TQString() );
}

#include "dvdprogress.moc"
